| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
GaudiPython.Bindings.iEventSelector Class Reference
Inheritance diagram for GaudiPython.Bindings.iEventSelector:
[legend]
Collaboration diagram for GaudiPython.Bindings.iEventSelector:
[legend]

## Public Member Functions
def | __init__ (self)
def | open (self, stream, typ='Gaudi::RootCnvSvc', **kwargs)
def | rewind (self)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | getInterface (self)
def | __call_interface_method__ (self, ifname, method, *args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Public Attributes
| Input

## Detailed Description

Definition at line 891 of file Bindings.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiPython.Bindings.iEventSelector.__init__ | ( |  | self | ) |

Definition at line 892 of file Bindings.py.

892 def __init__(self):
893 iService.__init__(
894 self, 'EventSelector',
895 Helper.service(gbl.Gaudi.svcLocator(), 'EventSelector'))
896 self.__dict__['g'] = AppMgr()
897

## Member Function Documentation

## ◆ open()

def GaudiPython.Bindings.iEventSelector.open | ( |  | self,
|  |  | stream,
|  |  | typ = `'Gaudi::RootCnvSvc'`,
|  | ** | kwargs
| ) |  |

Definition at line 898 of file Bindings.py.

898 def open(self, stream, typ='Gaudi::RootCnvSvc', **kwargs):
899 import Persistency as prs
900 helper = prs.get(typ)
901 helper.configure(self.g)
902 self.Input = helper.formatInput(stream, **kwargs)
903 self.reinitialize()
904

## ◆ rewind()

def GaudiPython.Bindings.iEventSelector.rewind | ( |  | self | ) |

Definition at line 905 of file Bindings.py.

905 def rewind(self):
906 # It is not possible to reinitialize EventSelector only
907 self.g.service('EventLoopMgr').reinitialize()
908
909
910 # ----AppMgr class-------------------------------------------------------------
911
912

## Member Data Documentation

## ◆ Input

GaudiPython.Bindings.iEventSelector.Input

Definition at line 902 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py